<?php

namespace Modules\User\Interfaces;

use Modules\User\Models\Verification;

interface VerificationRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Verification;
    public function update(array $request, Verification $verification): Verification;
    public function destroy(Verification $verification): void;
}
